package com.fs.watch.service.impl;

import com.fs.common.utils.DateUtils;
import com.fs.watch.domain.WatchSendMsgSet;
import com.fs.watch.mapper.WatchSendMsgSetMapper;
import com.fs.watch.service.WatchSendMsgSetService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 腕表消息提醒发送时间限制Service业务层处理
 *
 * @author fs
 * @date 2024-11-29
 */
@Service
public class WatchSendMsgSetServiceImpl implements WatchSendMsgSetService
{
    @Autowired
    private WatchSendMsgSetMapper watchSendMsgSetMapper;

    /**
     * 查询腕表消息提醒发送时间限制
     *
     * @param id 腕表消息提醒发送时间限制主键
     * @return 腕表消息提醒发送时间限制
     */
    @Override
    public WatchSendMsgSet selectWatchSendMsgSetById(Integer id)
    {
        return watchSendMsgSetMapper.selectWatchSendMsgSetById(id);
    }

    /**
     * 查询腕表消息提醒发送时间限制列表
     *
     * @param watchSendMsgSet 腕表消息提醒发送时间限制
     * @return 腕表消息提醒发送时间限制
     */
    @Override
    public List<WatchSendMsgSet> selectWatchSendMsgSetList(WatchSendMsgSet watchSendMsgSet)
    {
        return watchSendMsgSetMapper.selectWatchSendMsgSetList(watchSendMsgSet);
    }

    /**
     * 新增腕表消息提醒发送时间限制
     *
     * @param watchSendMsgSet 腕表消息提醒发送时间限制
     * @return 结果
     */
    @Override
    public int insertWatchSendMsgSet(WatchSendMsgSet watchSendMsgSet)
    {
        watchSendMsgSet.setCreateTime(DateUtils.getNowDate());
        return watchSendMsgSetMapper.insertWatchSendMsgSet(watchSendMsgSet);
    }

    /**
     * 修改腕表消息提醒发送时间限制
     *
     * @param watchSendMsgSet 腕表消息提醒发送时间限制
     * @return 结果
     */
    @Override
    public int updateWatchSendMsgSetByType(WatchSendMsgSet watchSendMsgSet)
    {
        watchSendMsgSet.setUpdateTime(DateUtils.getNowDate());
        return watchSendMsgSetMapper.updateWatchSendMsgSetByType(watchSendMsgSet);
    }

    /**
     * 批量删除腕表消息提醒发送时间限制
     *
     * @param ids 需要删除的腕表消息提醒发送时间限制主键
     * @return 结果
     */
    @Override
    public int deleteWatchSendMsgSetByIds(Integer[] ids)
    {
        return watchSendMsgSetMapper.deleteWatchSendMsgSetByIds(ids);
    }

    /**
     * 删除腕表消息提醒发送时间限制信息
     *
     * @param id 腕表消息提醒发送时间限制主键
     * @return 结果
     */
    @Override
    public int deleteWatchSendMsgSetById(Integer id)
    {
        return watchSendMsgSetMapper.deleteWatchSendMsgSetById(id);
    }

    @Override
    public WatchSendMsgSet selectWatchSendMsgSetByType(String type) {
        return watchSendMsgSetMapper.selectWatchSendMsgSetByType(type);
    }
}
